# -*- coding: utf-8 -*-

u""" シングルトン用クラス。
2013/12/20 written by kei9

使用には
import singleton
class hoge:
    __metaclass__ = singleton.Singleton
    def __init__(...):
    ....
のようにすればよい
"""

class Singleton(type):
    def __init__(self, *args):
        type.__init__(self, *args)
        self._instance = None

    def __call__(self, *args):
        if self._instance is None :
            self._instance = type.__call__(self, *args)
        return self._instance
